Skip to main content
POST
/
schedule-management
/
v1
/
mabis
/
send-response-to-aggregation-time-series
Send Response To Aggregation Time Series
curl --request POST \
  --url https://api.engrate.io/schedule-management/v1/mabis/send-response-to-aggregation-time-series \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "date_from": "2023-12-25",
  "id": "<string>",
  "tso": "<string>",
  "aggregation_subtypes": [
    "<string>"
  ],
  "date_to": "2023-12-25",
  "dso": "<string>",
  "receiver": 123
}
'
import requests

url = "https://api.engrate.io/schedule-management/v1/mabis/send-response-to-aggregation-time-series"

payload = {
"date_from": "2023-12-25",
"id": "<string>",
"tso": "<string>",
"aggregation_subtypes": ["<string>"],
"date_to": "2023-12-25",
"dso": "<string>",
"receiver": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date_from: '2023-12-25',
id: '<string>',
tso: '<string>',
aggregation_subtypes: ['<string>'],
date_to: '2023-12-25',
dso: '<string>',
receiver: 123
})
};

fetch('https://api.engrate.io/schedule-management/v1/mabis/send-response-to-aggregation-time-series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}
Coming soon.

Authorizations

Authorization
string
header
required

Query Parameters

month
string
required

Month for the response (YYYY-MM)

version_id
string
required

Version identifier

answer
boolean
required

Accept (true) or reject (false)

Body

application/json

Request model for aggregation object response.

aggregation_type
enum<string>
required

Aggregation type

Available options:
BAS,
FPE,
FPI,
SLP,
RLM
date_from
string<date>
required

Valid from date (YYYY-MM-DD)

id
string
required

Aggregation object identifier

Minimum string length: 1
tso
string
required

TSO control area identifier

Minimum string length: 1
aggregation_subtypes
string[]

OBIS codes

date_to
string<date> | null

Valid to date (YYYY-MM-DD)

dso
string | null

DSO identifier

receiver
integer | null

Receiver MP-ID as number

Response

Validation Error

detail
ValidationError · object[]